'use strict';


exports.save = async function () {
    await this.bindDefault();
    this.body =  await this.mongo("TemplateUrlRoute",this.request.body).saveByKey();
	return
}
exports.save.__method__ = 'POST';

// exports.query = async function () {
//     await this.bindDefault();
//     this.body =  await this.mongo("TemplateUrlRoute").findByProjectId(this.request.query._id);
// 	return
// }
// exports.query.__method__ = 'GET';


exports.delete = async function(){
    await this.bindDefault();
    this.body = await this.mongo("TemplateUrlRoute").delete(this.request.query._id);
    return
}
exports.delete.__method__ = "GET";

exports.update = async function(){
    await this.bindDefault();
    this.body = await this.mongo("TemplateUrlRoute").updateById(this.request.body);
    return
}
exports.update.__method__ = "POST"

exports.find = async function(){
    await this.bindDefault();
    this.body = await this.mongo("TemplateUrlRoute").findByObj(this.request.query);
    return
}
exports.find.__method__ = "GET"